import * as React from "react";
const isBrowser = typeof document !== "undefined";
const supportsPopover = isBrowser && "popover" in HTMLElement.prototype;
function isDocument(node) {
  return node?.nodeType === Node.DOCUMENT_NODE;
}
function getOwnerDocument(node) {
  if (!node) return null;
  return (isDocument(node) ? node : node.ownerDocument) || null;
}
function parseDOM(htmlString, { ownerDocument }) {
  const template = ownerDocument.createElement("template");
  template.innerHTML = htmlString;
  return template.content;
}
const forwardRef = React.forwardRef;
const identity = (value) => value;
export {
  forwardRef,
  getOwnerDocument,
  identity,
  isBrowser,
  isDocument,
  parseDOM,
  supportsPopover
};
